summaryrefslogtreecommitdiffstats
path: root/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
diff options
context:
space:
mode:
authorselias <samelias@cisco.com>2017-01-25 17:15:01 +0100
committerselias <samelias@cisco.com>2017-01-31 09:59:45 +0100
commitdd42d337deed57c1ade52a1cac860c14af53fd9e (patch)
tree6dca1165b2a62318f8bb4cd4cf9a2aa687f9b4d5 /jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
parent0389b9be435abe5cbc56b2ea4121fec0f086cb91 (diff)
Csit-Honeycomb job for 17.01
- relates to https://gerrit.fd.io/r/4933 Change-Id: I78e0a28d529b3308d0acd6a11a45ff49b24a8919 Signed-off-by: selias <samelias@cisco.com>
Diffstat (limited to 'jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh')
-rw-r--r--jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh20
1 files changed, 15 insertions, 5 deletions
diff --git a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
index 62b495e9c..6e484f98e 100644
--- a/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
+++ b/jjb/hc2vpp/include-raw-hc2vpp-csit-verify-prebuild.sh
@@ -1,18 +1,28 @@
#!/bin/bash
set -xeu -o pipefail
-current_dir = `pwd`
+current_dir=`pwd`
cd ${WORKSPACE}
-# Clone csit and run package download script
-git clone https://gerrit.fd.io/r/csit --branch master
+# Get CSIT branch from which to test from
+# running build-root/scripts/csit-test-branch
+if [ -x csit-test-branch ]; then
+ CSIT_BRANCH=`csit-test-branch`;
+fi
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}
# If the git clone fails, complain clearly and exit
if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch master"
+ echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH}"
exit
fi
-./csit/resources/tools/download_hc_build_pkgs.sh
+if [ ${STREAM} == 'master' ]; then
+ ./csit/resources/tools/download_hc_build_pkgs.sh ${STREAM}
+else
+ ./csit/resources/tools/download_hc_build_pkgs.sh 'stable.'${STREAM}
+fi
cd ${current_dir}